Index: flashrom-spi_sb600_offbyone_fixfix/sb600spi.c
===================================================================
--- flashrom-spi_sb600_offbyone_fixfix/sb600spi.c	(revision 672)
+++ flashrom-spi_sb600_offbyone_fixfix/sb600spi.c	(working copy)
@@ -118,9 +118,13 @@
 	 * an opcode and no additional data/address, the SPI controller will
 	 * read one byte too few from the chip. Basically, the last byte of
 	 * the chip response is discarded and will not end up in the FIFO.
-	 * It is unclear if the CS# line is set high too early as well.
+	 * It is unclear if the CS# line is set high too early as well, but
+	 * it seems CS# line timing matches the bytecounts we specify, so there
+	 * is a mismatch between FIFO content count and CS# timing.
+	 * Only trigger this if readcnt is nonzero on the assumption that
+	 * reading more doesn't hurt if we already read soemthing.
 	 */
-	readoffby1 = (writecnt) ? 0 : 1;
+	readoffby1 = (!writecnt && readcnt) ? 1 : 0;
 	mmio_writeb((readcnt + readoffby1) << 4 | (writecnt), sb600_spibar + 1);
 	mmio_writeb(cmd, sb600_spibar + 0);
 
